Name:           teeworlds
Version:        0.4.2
Release:        1%{?dist}
License:        Teeworlds license (BSD, zlib/libpng compatible)
Source:         %{name}-%{version}-src.tar.bz2
Source1:        bam-svn-r117.tar.bz2
Source2:        %{name}.desktop
Source3:        %{name}.png
Patch0:         %{name}-%{version}-aliasing.patch
Patch1:         %{name}-%{version}-optflags.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  alsa-lib-devel python mesa-libGLU-devel desktop-file-utils
Group:          Amusements/Games/Action/Arcade
Summary:        Jumping the Gun
Provides:       teewars = %{version}
Obsoletes:      teewars < 0.4.0

%description
Teeworlds: Jumping the Gun

%prep
%setup -q -a 1 -n %{name}-%{version}-src
%patch0
%patch1
# replace _OPTFLAGS_ with real opt flags in default.bam
sed -i "s:_OPTFLAGS_:%{optflags}:" default.bam
# use /usr/share/games/teeworlds instead of data/ for data files
sed -i 's:data/:%{_datadir}/games/%{name}/:g' datasrc/data.ds `find -name '*.c' -o -name '*.cpp'`

%build
cd bam-svn-r117
sh make_unix.sh
cd ..
./bam-svn-r117/src/bam release

%install
mkdir -p $RPM_BUILD_ROOT%{_datadir}/games
cp -a data $RPM_BUILD_ROOT%{_datadir}/games/%{name}
install -D -m 0755 %{name} $RPM_BUILD_ROOT%{_bindir}/%{name}
install -D -m 0755 %{name}_srv $RPM_BUILD_ROOT%{_bindir}/%{name}_srv
install -D -m 0644 %{SOURCE3} $RPM_BUILD_ROOT%{_datadir}/pixmaps/%{name}.png
desktop-file-install  --vendor "" \
        --dir $RPM_BUILD_ROOT%{_datadir}/applications \
        --add-category Game \
        --add-category ArcadeGame \
        %{SOURCE2}


%clean
rm -rf "$RPM_BUILD_ROOT"

%post
update-desktop-database &> /dev/null ||:

%postun
update-desktop-database &> /dev/null ||:


%files
%defattr(-,root,root)
%doc license.txt readme.txt
%{_bindir}/%{name}*
%dir %{_datadir}/games/%{name}
%{_datadir}/games/%{name}/*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png

%changelog
* Fri Aug 08 2008 Remi Collet <RPMS@FamilleCollet.com> - 0.4.2-1.fc9.remi
- F9 rebuild

* Sun Apr 27 2008 prusnak@suse.cz
- add desktop and icon file
* Tue Apr 22 2008 prusnak@suse.cz
- build with %%optflags
* Tue Apr  8 2008 prusnak@suse.cz
- updated to 0.4.2
  * Loads of graphical optimizations. Maps now must have
    a background to behave correctly. Enable gfx_clear to get around
    faulty maps ("gfx_clear 1" in the console).
  * Fixed the welcome screen overlapping
  * sv_powerups now work again
  * Weapon switch have priority over fire now
  * Added sv_rounds_per_map to control the rounds played on each map
  * Fixed servere memory leak on linux server builds
  * Fixed issue with ping on LAN servers
  * Fixed problems with dm6 and low detail and made shotgun more visible
  * Improved the quicksearch so it's case insenitive, searches players
    aswell and highlights hits
  * Fixed server crash if you try to run ctf on a non ctf map
  * Fixed so you can't set mouse sens to 0 in the gui
  * Fixed "sample bleeding" on the blue flag
  * Fixed so say_team when you are a spectator only sends to other spectators.
  * Fixed problem with maps with 1 thick tile borders
  * Fixed so the loading text doesn't disappear if you move the mouse.
  * Added option to set the time MOTD is displayed (cl_motd_time)
  * MOTD disappears if you press escape
  * Fixed so you can do more advanced binds using "
  * Fixed so you can clear string variables by using ""
  * Fixed skidsmoke errors
  * Fixed so grenades always do 6dmg on direct hit
  * Fixed protection on the font textures so they don't get resampled
  * Added # comments to the console system
  * Added anti-spam function (sv_spamprotection)
  * Fixed so that new line correctly realigns to screen
* Wed Mar 26 2008 prusnak@suse.cz
- fixed strict aliasing (aliasing.patch)
* Wed Mar 26 2008 prusnak@suse.cz
- updated to 0.4.1
  * Added "Reset Filter" button
  * Added support for autoexec.cfg
  * Added support for spectator slots
  * Improved the MOTD
  * Made the double jump indicator more suddle
  * Fixed the shooting through walls bug
  * Fixed the detail levels of dm6
  * Fixed issue with contrasts when using custom colors
  * Fixed so maps downloads to $USER/maps
  * Fixed weapon switching bugs
  * Fixed the password entry when joining servers
  * Fixed problems with binds. Please press the "Reset to defaults" when upgrading
  * Fixed problem when player becomes spectator and holding the flag
  * Various other small fixes
* Wed Mar 26 2008 prusnak@suse.cz
- NAME CHANGE: from teewars to teeworlds (upstream change)
- updated to 0.4.0
  * Reduced latency
  * New console
  * New font system
  * New map editor
  * Graphical updates
  * Automatic downloading of maps
  * Added security
  * New binds system
  * Loads of other updates!
* Fri Feb 15 2008 prusnak@suse.cz
- copied from home:civ75
- updated to 0.3.4
- include bam building tool (svn-r117)
- put binaries in /usr/games, change datafiles paths to absolute,
  allowing them to reside in /usr/share/games/teewars (datadir.patch)
